Summary:	NSS wrapper library
Summary(pl.UTF-8):	Biblioteka obudowująca NSS
Name:		nss_wrapper
Version:	1.1.5
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://www.samba.org/ftp/cwrap/%{name}-%{version}.tar.gz
# Source0-md5:	d85733e7f18e79cf15b92e6f50c2fa7e
URL:		http://cwrap.org/nss_wrapper.html
BuildRequires:	cmake >= 2.8.0
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
There are projects which provide daemons needing to be able to create,
modify and delete unix users. Or just switch user ids to interact with
the system e.g. a user space file server. To be able to test that you
need the privilege to modify the passwd and groups file. With
nss_wrapper it is possible to define your own passwd and groups file
which will be used by software to act correctly while under test.

If you have a client and server under test they normally use functions
to resolve network names to addresses (dns) or vice versa. The
nss_wrapper allows you to create a hosts file to setup name resolution
for the addresses you use with socket_wrapper.

%description -l pl.UTF-8
Niektóre projekty zawierają demony potrzebujące tworzyć, modyfikować
lub usuwać użytkowników uniksowych. Albo przełączają identyfikatory
użytkowników, aby współpracować z systemem, np. serwerem plików w
przestrzeni użytkownika. Aby przetestować takiego demona, wymagane są
uprawnienia do modyfikowania plików passwd i group. Przy użyciu
pakietu nss_wrapper można definiować własne pliki passwd i group, z
którymi może pracować oprogramowanie w trakcie testów.

Przy testowaniu klienta i serwera, normalnie korzystają one z funkcji
rozwiązujących nazwy sieciowe na adresy (DNS) i odwrotnie. Pakiet
nss_wrapper pozwala na tworzenie pliku hosts, aby skonfigurować
rozwiązywanie nazw dla adresów używanych wraz z pakietem
socket_wrapper.

%prep
%setup -q

%{__sed} -i -e '1s,/usr/bin/env perl,%{__perl},' nss_wrapper.pl

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE README TODO
%attr(755,root,root) %{_bindir}/nss_wrapper.pl
%attr(755,root,root) %{_libdir}/libnss_wrapper.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnss_wrapper.so.0
%attr(755,root,root) %{_libdir}/libnss_wrapper.so
%{_pkgconfigdir}/nss_wrapper.pc
%{_libdir}/cmake/nss_wrapper
%{_mandir}/man1/nss_wrapper.1*
%changelog
* Sat Nov 17 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nss_wrapper.git;a=log;h=master

* Sat Nov 17 2018 Jakub Bogusz <qboosh@pld-linux.org> dcd635f
- updated to 1.1.5

* Sat May 21 2016 Jakub Bogusz <qboosh@pld-linux.org> 4cc7bf0
- updated to 1.1.3

* Sat Dec 26 2015 Jakub Bogusz <qboosh@pld-linux.org> a3cd487
- updated to 1.1.2

* Thu Mar 26 2015 Elan Ruusamäe <glen@delfi.ee> 68cbe6f
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 6fc6592
- updated to 1.0.3
- removed obsolete cmake patch

* Sat Apr 12 2014 Jakub Bogusz <qboosh@pld-linux.org> 03f7b14
- updated to 1.0.2
- added cmake patch (fixes build with cmake > 2.8.12 < 3

* Sun Feb 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 0e34b3f
- new

